Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Class MBeanProxy

    java.lang.Object
      |
      +--org.jboss.util.MBeanProxy

All Implemented Interfaces:
  InvocationHandler

public class MBeanProxy
extends java.lang.Object
implements InvocationHandler

Version:
  $Revision: 1.4.6.1 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:

Method Summary
`static java.lang.Object` | `create(java.lang.Class intf, javax.management.ObjectName name)`
`static java.lang.Object` | `create(java.lang.Class intf, java.lang.String name)`
`java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static java.lang.Object create(java.lang.Class intf,
                                          java.lang.String name)
                                   throws javax.management.MalformedObjectNameException

### create

    public static java.lang.Object create(java.lang.Class intf,
                                          javax.management.ObjectName name)

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `InvocationHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.